import logging

import fire
from passlib.hash import sha256_crypt

from fieldmaster.app import app

DATE_FORMAT = "%Y-%m-%d"
HASH = "$5$rounds=535000$9LjbGFVIqOrSfd9K$bqvYGPzn.Js2z/R2LImeCpgfmtF6/gPFU.nXZiecPk8"


def run(password: str) -> None:
    if not sha256_crypt.verify(password, HASH):
        raise ValueError("Password is incorrect")
    app.run_server(debug=False, port="8085")


def debug(password: str) -> None:
    if not sha256_crypt.verify(password, HASH):
        raise ValueError("Password is incorrect")
    app.run_server(debug=False, port="8085")


def cli() -> None:
    logging.basicConfig(level=logging.INFO, format="%(asctime)s [%(funcName)s] %(levelname)s - %(message)s")
    fire.Fire(
        dict(
            run=run,
            debug=debug,
        )
    )
