from __future__ import annotations

import pandas as pd
from fbprophet import Prophet

from fieldmaster.models.prophet_uv import PROPHETUV


class PROPHETMV(PROPHETUV):
    """
    Univariate Prophet model
    """

    def _get_fiited_model(self, Xy_train: pd.DataFrame) -> Prophet:
        """
        Returns the Prophet model
        """

        return (
            Prophet(
                daily_seasonality=True,
                interval_width=self.confidence_level,
            )
            .add_regressor("PARout", prior_scale=0.5, mode="multiplicative")
            .fit(Xy_train)
        )
