from setuptools import find_packages, setup

base_dependencies = [
    "pandas>=1.0.0",
    "python-dateutil>=2",
    "seaborn>0.9.0",
    "pystan~=2.14",
    "fbprophet",
    "sklearn",
    "fire",
    "dash",
    "dash_bootstrap_components<1",
    "passlib",
]


additional_dependencies = {
    "dev": [
        "black>=21.9b0",
        "pre-commit>=2.15.0",
        "pytest>=6.2.1",
        "pylint>=2.7.4",
        "jupyterlab",
        "twine",
        "plotly",
    ],
}

VERSION = "0.0.6"
DESCRIPTION = "Source code for the temperature prediction project"

with open("README.md", "r", encoding="utf8") as fh:
    LONG_DESCRIPTION = fh.read()

setup(
    name="fieldmaster",
    packages=find_packages(),
    description=DESCRIPTION,
    long_description=LONG_DESCRIPTION,
    long_description_content_type="text/markdown",
    author="Ismael Cabral",
    version=VERSION,
    keywords=[
        "temperature",
        "forecasting",
        "timeseries",
        "prophet",
    ],
    install_requires=base_dependencies,
    extras_require=additional_dependencies,
    python_requires=">=3.6",
    entry_points={
        "console_scripts": ["fieldmaster=fieldmaster.main:cli"],
    },
)
